
From: Stefan Knoblich <stkn@gentoo.org>

Attached patch defines dma_mapping_error on alpha.  Without this
libata-core.c won't compile.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-alpha/dma-mapping.h |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN include/asm-alpha/dma-mapping.h~alpha-add-missing-dma_mapping_error include/asm-alpha/dma-mapping.h
--- 25/include/asm-alpha/dma-mapping.h~alpha-add-missing-dma_mapping_error	Wed Feb  9 15:49:06 2005
+++ 25-akpm/include/asm-alpha/dma-mapping.h	Wed Feb  9 15:49:26 2005
@@ -25,6 +25,8 @@
 		pci_unmap_sg(alpha_gendev_to_pci(dev), sg, nents, dir)
 #define dma_supported(dev, mask)			\
 		pci_dma_supported(alpha_gendev_to_pci(dev), mask)
+#define dma_mapping_error(addr)				\
+		pci_dma_mapping_error(addr)
 
 #else	/* no PCI - no IOMMU. */
 
@@ -43,6 +45,8 @@ int dma_map_sg(struct device *dev, struc
 #define dma_unmap_page(dev, addr, size, dir)	do { } while (0)
 #define dma_unmap_sg(dev, sg, nents, dir)	do { } while (0)
 
+#define dma_mapping_error(addr)  (0)
+
 #endif	/* !CONFIG_PCI */
 
 #define dma_alloc_noncoherent(d, s, h, f)	dma_alloc_coherent(d, s, h, f)
_
